define(['require', 'jquery', 'elgg'], function(require, $, elgg) {
	function blogcoverphoto_delete() {
		$('.blogcoverphoto-delete').on('click', function() {
			$('.blogcoverphoto-preview').html('');
			$('input[name=cover_url]').val('');
			$('#blogcoverphoto-button').show();
		});
	}
	$('#blogcoverphoto-button').on('click', function() {
		$('input[name=cover_temp]').click();
	});
	$('input[name=cover_temp]').liteUploader({
		script: elgg.normalize_url('ajax/view/blogcoverphoto/upload')
	})
	.on('lu:before', function (e, files) {
		$('#blogcoverphoto-button').val(elgg.echo('blogcoverphoto:uploading'));
	})
	.on('lu:success', function (e, response) {
		var response = $.parseJSON(response);
		$('#blogcoverphoto-button').val(elgg.echo('blogcoverphoto:button'));
		$('.blogcoverphoto-preview').html('<img src="'+response.url+'" /><i class="fa fa-close blogcoverphoto-delete"></i>');
		$('input[name=cover_url]').val(response.url);
		$('#blogcoverphoto-button').hide();
		blogcoverphoto_delete();
	});
	blogcoverphoto_delete();
});