<?php
/**
 *  Specimen: Blog Cover Photo
 *	Author: Cim
 *	URL: https://demyx.com
 */

elgg_register_event_handler('init', 'system', 'blogcoverphoto_init');


function blogcoverphoto_init() {
	// CSS
	elgg_extend_view('elgg.css', 'blogcoverphoto/css');

	// Register the ajax view
	elgg_register_ajax_view('blogcoverphoto/upload');

	// Override core blog save action
	$action_path = __DIR__ . '/actions/blogcoverphoto';
	elgg_register_action('blog/save', "$action_path/save.php");

	// Extend blog entities with cover URL
	elgg_extend_view('object/blog', 'blogcoverphoto/cover', 0);

	// Widget fix
	elgg_extend_view('profile/layout', 'blogcoverphoto/profile');
}